%define pkg magit
%define pkgname Magit
%define git_pull_date 20090122

%if %($(pkg-config emacs) ; echo $?)
%define emacs_version 22.1
%define emacs_lispdir %{_datadir}/emacs/site-lisp
%define emacs_startdir %{_datadir}/emacs/site-lisp/site-start.d
%else
%define emacs_version %(pkg-config emacs --modversion)
%define emacs_lispdir %(pkg-config emacs --variable sitepkglispdir)
%define emacs_startdir %(pkg-config emacs --variable sitestartdir)
%endif

Name:           emacs-%{pkg}
Version:        1.1.1
Release:        1%{?dist}
Summary:        Emacs interface to the most common Git operations

Group:          Applications/Editors
License:        GPLv3+ and GFDL+
URL:            http://magit.github.com/magit/

Source0:        http://github.com/downloads/magit/magit/magit-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  emacs emacs-el texinfo
Requires:       emacs(bin) >= %{emacs_version}

%description
%{pkgname} is an add-on package for GNU Emacs. It is an interface to
the Git source-code management system that aims to make the most
common operations convenient.

%package el
Summary:        Elisp source files for %{pkgname} under GNU Emacs
Group:          Applications/Editors
Requires:       %{name} = %{version}-%{release}

%description el
This package contains the elisp source files for %{pkgname} under GNU Emacs. You
do not need to install this package to run %{pkgname}. Install the %{name}
package to use %{pkgname} with GNU Emacs.

%prep
%setup -q -n magit-%{version}

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix}

# clean up after magit's installer's assumptions
mkdir -p $RPM_BUILD_ROOT%{emacs_startdir}
mv $RPM_BUILD_ROOT/etc/emacs/site-start.d/50magit.el \
   $RPM_BUILD_ROOT%{emacs_startdir}/emacs-magit-mode.el
mkdir -p $RPM_BUILD_ROOT%{emacs_lispdir}/%{pkg}
mv $RPM_BUILD_ROOT%{emacs_lispdir}/*.el{,c} \
   $RPM_BUILD_ROOT%{emacs_lispdir}/%{pkg}
gzip -9 < magit.info > $RPM_BUILD_ROOT%{_infodir}/magit.info.gz
rm $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/install-info /usr/share/info/magit.info.gz /usr/share/info/dir


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/share/info/magit.info.gz /usr/share/info/dir
fi


%files
%doc README.md
%{emacs_lispdir}/%{pkg}/*.elc
%{emacs_startdir}/*.el
%{_infodir}/magit.info.gz
%dir %{emacs_lispdir}/%{pkg}

%files el
%{emacs_lispdir}/%{pkg}/*.el

%changelog
* Wed Jan 25 2012 Tom Moertel <tom@moertel.com> - 1.1.1-1
- Update to upstream 1.1.1

* Fri May 13 2011 Tom Moertel <tom@moertel.com> - 1.0.0-1
- Updated to upstream 1.0.0

* Wed Aug  4 2010 Tom Moertel <tom@moertel.com> - 0.8.2-1
- Updated to upstream 0.8.2

* Wed Aug 26 2009 Tom Moertel <tom@moertel.com> - 0.7-6
- Updated for Magit 0.7 final release (note: upstream removed FDL from tarball)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-5.20090122git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-4.20090122git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 29 2009  <tom@moertel.com> - 0.7-3.20090122git
- Added missing build dependency: texinfo

* Tue Jan 27 2009  <tom@moertel.com> - 0.7-2.20090122git
- Made fixes per Fedora packaging review (thanks Jerry James)

* Fri Jan 23 2009  <tom@moertel.com> - 0.7-1.20090122git
- Initial packaging.
